/*******************************************************************\
  
  The ESPAM Software Tool 
  Copyright (c) 2004-2008 Leiden University (LERC group at LIACS).
  All rights reserved.
  
  The use and distribution terms for this software are covered by the 
  Common Public License 1.0 (http://opensource.org/licenses/cpl1.0.txt)
  which can be found in the file LICENSE at the root of this distribution.
  By using this software in any fashion, you are agreeing to be bound by 
  the terms of this license.
  
  You must not remove this notice, or any other, from this software.
  
  \*******************************************************************/
      
      /* Generated By:JJTree: Do not edit this line. ParserTreeConstants.java */
      
      package espam.parser.matlab.scheduler;
          
          public interface ParserTreeConstants
      {
          public int JJTNLP = 0;
              public int JJTVOID = 1;
                  public int JJTMATLABSTATEMENT = 2;
                      public int JJTTYPEDEFINITIONSTATEMENT = 3;
                          public int JJTPARAMETERSTATEMENT = 4;
                              public int JJTFUNCTIONDEFINITIONSTATEMENT = 5;
                                  public int JJTFORSTATEMENT = 6;
                                      public int JJTIFSTATEMENT = 7;
                                          public int JJTELSESTATEMENT = 8;
                                              public int JJTLISTOFINDEXSTATEMENTS = 9;
                                                  public int JJTINDEXSTATEMENTS = 10;
                                                      public int JJTINDEXSTATEMENT = 11;
                                                          public int JJTASSIGNSTATEMENT = 12;
                                                              public int JJTIPDSTATEMENT = 13;
                                                                  public int JJTOPDSTATEMENT = 14;
                                                                      public int JJTLEFTVARIABLELIST = 15;
                                                                          public int JJTRIGHTVARIABLELIST = 16;
                                                                              public int JJTVARIABLE = 17;
                                                                                  public int JJTCONDITION = 18;
                                                                                      public int JJTSIMPLEEXPRESSION = 19;
                                                                                          public int JJTCOMPLEXEXPRESSION = 20;
                                                                                              public int JJTSIGN = 21;
                                                                                                  public int JJTLINEAROPERATOR = 22;
                                                                                                      public int JJTTERMOROPERATOR = 23;
                                                                                                          public int JJTSPECIALTERM = 24;
                                                                                                              public int JJTSPECIALOPERATOR = 25;
                                                                                                                  public int JJTTERM = 26;
                                                                                                                      public int JJTFRACTION = 27;
                                                                                                                          public int JJTIDENTIFIER = 28;
                                                                                                                              public int JJTINTEGER = 29;
                                                                                                                                  
                                                                                                                                  
                                                                                                                                  public String[] jjtNodeName = {
                                                                                                                                  "NLP",
                                                                                                                                  "void",
                                                                                                                                  "matlabStatement",
                                                                                                                                  "typeDefinitionStatement",
                                                                                                                                  "parameterStatement",
                                                                                                                                  "functionDefinitionStatement",
                                                                                                                                  "forStatement",
                                                                                                                                  "ifStatement",
                                                                                                                                  "elseStatement",
                                                                                                                                  "listOfIndexStatements",
                                                                                                                                  "indexStatements",
                                                                                                                                  "indexStatement",
                                                                                                                                  "assignStatement",
                                                                                                                                  "ipdStatement",
                                                                                                                                  "opdStatement",
                                                                                                                                  "leftVariableList",
                                                                                                                                  "rightVariableList",
                                                                                                                                  "variable",
                                                                                                                                  "condition",
                                                                                                                                  "simpleExpression",
                                                                                                                                  "complexExpression",
                                                                                                                                  "sign",
                                                                                                                                  "linearOperator",
                                                                                                                                  "termOrOperator",
                                                                                                                                  "specialTerm",
                                                                                                                                  "specialOperator",
                                                                                                                                  "term",
                                                                                                                                  "fraction",
                                                                                                                                  "Identifier",
                                                                                                                                  "Integer",
                                                                                                                              };
      }
